Subject: 22571829 - Eminem - 25/10/2019 - Du Arena, Abu Dhabi, AE - Broker CZ - Need call the B
From: Maksim Semenov <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Sat, 19 Oct 2019 02:51:46 -0700 (MST)

Hi Rosette! 

With reference to above TID please assign case to Russian speaking agent to take actions. Buyer emailed asking if she can change her order 3 times before I received case. 
I already tried to call 2 times bud phone number seems incorrect. 

Please assign case to RU agent because I will be off till 24/10/2019 and unable to follow up till that day and we need try call the B 2 times more. 

Kind regards 
Maks!